#pragma once

#include <memory>

class TestCase
{
public:
    TestCase(){};
    virtual ~TestCase() = default;
    TestCase(const TestCase&) = delete;
    virtual bool Run() {return false;};
};
using TestCasePtr = std::unique_ptr<TestCase>;
